FunnelFlux Pro API DocumentsFunnelFlux Pro API Documents
  • Changelog
  • Status
  • Dashboard
  • Documentation
  • Authentication
  • Domains
  • Assets
  • Reporting
Information
Traffic Sources
    List traffic sourcesgetFind traffic source by IDgetFind traffic sources by ID listgetFind traffic sources by statusgetFind traffic sources by categorygetSave traffic sourceputCreate traffic sourcepostDuplicate traffic sourcepostDelete traffic sourcedeleteArchive traffic sourcesputUnarchive traffic sourcesputMove traffic sources to a categoryput
Offer Sources
    List offer sourcesgetFind offer source by IDgetFind offer sources by ID listgetFind offer sources by statusgetFind offer sources by categorygetSave offer sourceputCreate offer sourcepostDuplicate offer sourcepostDelete offer sourcedeleteArchive offer sourcesputUnarchive offer sourcesputMove offer sources to a categoryput
Funnel Groups
    List funnel groupsgetFind funnel group by IDgetFind funnel groups by ID listgetFind funnel groups by statusgetUpdate a funnel groupputCreate a funnel grouppostDuplicate a funnel grouppostDelete a funnel groupdeleteArchive funnel groupsputList funnel groupsgetFind funnel group by IDgetFind funnel groups by ID listgetFind funnel groups by statusgetUpdate an existing funnel groupputCreate a new funnel grouppostDuplicate a funnel grouppostDelete a funnel groupdeleteArchive funnel groupsputUnarchive funnel groupsput
Funnels
    List funnelsgetFind funnel by IDgetFind funnels by ID listgetFind funnels by statusgetFind funnels by typegetFind funnels by categorygetUpdate a funnelputCreate a funnelpostDuplicate a funnelpostDelete a funneldeleteArchive a funnelputUnarchive a funnelputMove a funnelput
Conditions
    List conditionsgetFind condition by IDgetFind conditions by ID listgetFind conditions by statusgetFind conditions by categorygetUpdate a conditionputCreate a conditionpostDuplicate a conditionpostDelete a conditiondeleteArchive conditionsputUnarchive conditionsputMove conditions to a categoryput
Logic Scripts
    List logic scriptsgetFind logic script by IDgetFind logic scripts by ID listgetFind logic scripts by namegetFind logic scripts by statusgetFind logic scripts by categorygetUpdate a logic scriptputCreate a logic scriptpostDuplicate a logic scriptpostSoft-delete logic scriptsdeleteGet logic script language metadatagetValidate logic script codepostArchive logic scriptsputUnarchive logic scriptsputMove logic scripts to a categoryput
Visitor Tags
    Find visitor tag by IDgetList visitor tagsgetFind visitor tags by statusgetUpdate a visitor tagputCreate a visitor tagpostDuplicate a visitor tagpostDelete visitor tagsdeleteArchive visitor tagsputUnarchive visitor tagsputMove visitor tags to categoryput
Page Groups
    List page groupsgetFind a page group by IDgetFind page groups by ID listgetFind page groups by statusgetFind page groups by typegetFind page groups by categorygetUpdate a page groupputCreate a page grouppostDuplicate a page grouppostDelete a page groupdeleteArchive page groupsputUnarchive page groupsputMove global page groups to a categoryputFind page groups by categorygetMove global page groups to a categoryput
Pages
    List pagesgetFind a page by IDgetFind pages by ID listgetFind pages by statusgetFind pages by categorygetUpdate a pageputCreate a new pagepostDuplicate a pagepostDelete a pagedeleteArchive pagesputUnarchive pagesputMove pages to a categoryput
Categories
    List categoriesgetFind category by IDgetFind categories by ID listgetUpdate a categoryputCreate a categorypostDuplicate a categorypostDelete a categorydeleteArchive categoriesputUnarchive categoriesput
User
    Get user settingsgetSave user settingsputDelete user settingsdelete
Integration
    List integration API keysgetUpdate integration API keyputGenerate integration API keypostDelete integration API keydelete
AI Node Settings
    Update AI node settingsputCreate AI node settingspostFind AI node settings by IDgetFind AI node settings by ID listgetDelete AI node settingsdelete
Webhook Configs
    List webhook configsgetFind webhook config by IDgetFind webhook configs by ID listgetSave webhook configputCreate webhook configpostDelete webhook configdeleteDuplicate webhook configpostArchive webhook configsputUnarchive webhook configsputMove webhook configs to categoryput
Middleware Configs
    List middleware configsgetFind middleware config by IDgetFind middleware configs by ID listgetSave middleware configputCreate middleware configpostDelete middleware configdeleteDuplicate middleware configpostArchive middleware configsputUnarchive middleware configsputMove middleware configs to categoryput
Schemas
FunnelFlux Assets API
FunnelFlux Assets API

Integration

Download schema

API endpoints to manage integration API keys


List integration API keys

GET
https://api.funnelflux.pro/v1
/integration/api-keys/

List all user's API keys

List integration API keys › Responses

List of API keys

​IntegrationAPIKey[]
IntegrationAPIKey
key
​string · required

Generated API key

api
​IntegrationAPI · enum · required

API that can be used with given key

Enum values:
OPTIMIZER
name
​string · minLength: 1 · maxLength: 256 · required

API key name

status
​IntegrationAPIKeyStatus · enum · required
Enum values:
ACTIVE
DISABLED
GET/integration/api-keys/
curl --request GET \ --url https://api.funnelflux.pro/v1/integration/api-keys
Example Responses
[ { "key": "key", "api": "OPTIMIZER", "name": "name", "status": "ACTIVE" } ]
json
application/json

Update integration API key

PUT
https://api.funnelflux.pro/v1
/integration/api-keys/

Update existing API key data

Update integration API key › Request Body

UpdateIntegrationAPIKeyRequest
key
​string · required

API key to update

name
​string · minLength: 1 · maxLength: 256 · required

API key name

status
​IntegrationAPIKeyStatus · enum · required
Enum values:
ACTIVE
DISABLED

Update integration API key › Responses

API key data updated successfully

No data returned
PUT/integration/api-keys/
curl --request PUT \ --url https://api.funnelflux.pro/v1/integration/api-keys \ --header 'Content-Type: application/json' \ --data ' { "key": "key", "name": "name", "status": "ACTIVE" } '
Example Request Body
{ "key": "key", "name": "name", "status": "ACTIVE" }
json
Example Responses
No example specified for this content type

Generate integration API key

POST
https://api.funnelflux.pro/v1
/integration/api-keys/

Generate new API key for specified integration API

Generate integration API key › Request Body

GenerateIntegrationAPIKeyRequest
api
​IntegrationAPI · enum · required

API that can be used with given key

Enum values:
OPTIMIZER
name
​string · minLength: 1 · maxLength: 256 · required

API key name

Generate integration API key › Responses

Generated API key data

IntegrationAPIKey
key
​string · required

Generated API key

api
​IntegrationAPI · enum · required

API that can be used with given key

Enum values:
OPTIMIZER
name
​string · minLength: 1 · maxLength: 256 · required

API key name

status
​IntegrationAPIKeyStatus · enum · required
Enum values:
ACTIVE
DISABLED
POST/integration/api-keys/
curl --request POST \ --url https://api.funnelflux.pro/v1/integration/api-keys \ --header 'Content-Type: application/json' \ --data ' { "api": "OPTIMIZER", "name": "name" } '
Example Request Body
{ "api": "OPTIMIZER", "name": "name" }
json
Example Responses
{ "key": "key", "api": "OPTIMIZER", "name": "name", "status": "ACTIVE" }
json
application/json

Delete integration API key

DELETE
https://api.funnelflux.pro/v1
/integration/api-keys/

Delete specified integration API key

Delete integration API key › Request Body

DeleteIntegrationAPIKeyRequest
key
​string · required

API key to delete

Delete integration API key › Responses

API key deleted successfully

No data returned
DELETE/integration/api-keys/
curl --request DELETE \ --url https://api.funnelflux.pro/v1/integration/api-keys \ --header 'Content-Type: application/json' \ --data '{ "key": "key" }'
Example Request Body
{ "key": "key" }
json
Example Responses
No example specified for this content type

UserAI Node Settings